---
updatedAt: 2025-11-18T16:07:10.000Z
agentTools:
  projectIndex: https://developers.bluesnap.com/v8976-Extended/llms.txt
---

# Delete Shopper

URL `services/2/shoppers/{shopper-id}`

## Definition

```
https://sandbox.bluesnap.com/services/2/shoppers/{shopper-id}|{seller-shopper-id},{seller-id}
```

The Delete Shopper request allows you to delete an existing shopper using their Shopper ID or the Seller Shopper ID.

### Request Content

No content is required in the request body. Enter the relevant IDs in the request URL, as follows:

#### Delete based on Shopper ID in BlueSnap

Enter the `shopper-id` into the web service URL, in the format:\
`services/2/shoppers/{shopper-id}`

For example:\
`services/2/shoppers/2345678`

#### Delete based on Seller Shopper ID

Enter the unique ID that you assigned to the shopper (the `seller-shopper-id`), **and** your seller ID in BlueSnap (`seller-id`) into the web service URL, in the format:\
`services/2/shoppers/{seller-shopper-id},{seller-id}`

For example:\
`services/2/shoppers/456789123,397248`

### Response Details

If successful, the response HTTP status code is 200 OK.\
For details about possible errors, see: [General Errors](https://developers.bluesnap.com/reference/general-errors) and [Shopper Errors](https://developers.bluesnap.com/reference/shopper-errors).

### Validations

Before a delete shopper request is approved, BlueSnap will verify the following:

* The shopper has not already been deleted
* The shopper does not have any active subscriptions
* The shopper does not have any pending ECP or SEPA payments

<Callout icon="📘" theme="info">
  **Deleted Shopper Data**

  Please note that any deleted shopper or shopper data will be masked in reports that include that information.
</Callout>

## Examples

### Request Examples

```curl Delete Shopper Request: by shopper ID in BlueSnap
curl -v -X DELETE https://sandbox.bluesnap.com/services/2/shoppers/19570404 \
-H 'Content-Type: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ='
```
```curl by seller shopper ID
curl -v -X DELETE https://sandbox.bluesnap.com/services/2/shoppers/19570404,388632 \
-H 'Content-Type: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ='
```

### Response Examples

```xml Delete Shopper Response: by shopper ID in BlueSnap
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<message xmlns="http://ws.plimus.com">
    <description>Your request to delete shopper ID 19570404 has been received and will be processed within 7 days.</description>
</message>
```
```xml by seller shopper ID
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<message xmlns="http://ws.plimus.com">
    <description>Your request to delete seller shopper ID 19570404 has been received and will be processed within 7 days.</description>
</message>
```

<br />